=== added file 'run-deploy-job-remote.bash'
--- run-deploy-job-remote.bash	1970-01-01 00:00:00 +0000
+++ run-deploy-job-remote.bash	2015-07-16 00:23:13 +0000
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Script to run run-deploy-job compatibly with workspace-runner.  It takes
+# revision_build and job_name as first parameters, the rest like
+# run-deploy-job.  Workspace is assumed to be pwd.
+set -eux
+export revision_build=$1
+export JOB_NAME=$2
+export WORKSPACE=$(pwd)
+SCRIPTS=$(readlink -f $(dirname $0))
+shift 2
+$SCRIPTS/run-deploy-job.bash "$@"

=== added file 'run-deploy-job-wr.py'
--- run-deploy-job-wr.py	1970-01-01 00:00:00 +0000
+++ run-deploy-job-wr.py	2015-07-16 00:23:13 +0000
@@ -0,0 +1,21 @@
+#!/usr/bin/env python
+import json
+import os
+import subprocess
+import sys
+from tempfile import NamedTemporaryFile
+
+def main():
+    command = [
+        '$HOME/juju-ci-tools/run-deploy-job-remote.bash',
+        os.environ['revision_build'],
+        os.environ['JOB_NAME'],
+        ]
+    command.extend(sys.argv[2:])
+    with NamedTemporaryFile() as config_file:
+        json.dump({'command': command, 'install': {}}, config_file)
+        config_file.flush()
+        subprocess.check_call(['workspace-run', config_file.name, sys.argv[1]])
+
+if __name__ == '__main__':
+    main()

